//
//  UserInfoBaseClass.h
//
//  Created by 杰 张 on 16/7/22
//  Copyright (c) 2016 __MyCompanyName__. All rights reserved.
//

#import <Foundation/Foundation.h>
#import "UserInfoBaseClass.h"
#import "UserInfoConsumer.h"
#import "UserInfoShop.h"
#import "UserInfoPasswordControl.h"
#import "UserInfoBankCards.h"
#import "UserInfoLastModifyInfo.h"
#import "UserInfoReseller.h"
#import "UserInfoIdCard.h"
#import "UserInfoCertificate.h"
#import "UserInfoOperator.h"
#import "UserInfoCreateInfo.h"
#import "UserInfoOwnerOrg.h"
#import "UserInfoAppConfig.h"
#import "UserInfoLoginControl.h"

@interface UserInfoBaseClass : NSObject <NSCoding, NSCopying>

@property (nonatomic, assign) double code;
@property (nonatomic, strong) NSString *message;
@property (nonatomic, strong) NSString *sessionId;
@property (nonatomic, strong) UserInfoAppConfig *appConfig;
@property (nonatomic, strong) UserInfoConsumer *consumer;
@property (nonatomic, strong) UserInfoReseller *reseller;

+ (instancetype)modelObjectWithDictionary:(NSDictionary *)dict;
- (instancetype)initWithDictionary:(NSDictionary *)dict;
- (NSDictionary *)dictionaryRepresentation;
- (instancetype)updateModelObjectWithDictionary:(NSDictionary *)dict;
@end
